print("");
print("** Type Func or func to view available functions **");
print("");

-- Print all functions available
function func()
	local l = newList();
	for fname,obj in pairs(_G) do
		if type(obj) == "function" then
			addList(l, fname);
		end
	end
	sortList(l, 1, 1);
	print("All Functions (" .. countList(l) .. "):");
	printList(l);
	freeList(l);
	print("");
end

-- Print all functions beginning with an uppercase letter
function Func()
	local l = newList();
	for fname,obj in pairs(_G) do
		if type(obj) == "function" then
			if(string.upper(string.sub(fname, 1, 1)) == string.sub(fname, 1, 1)) then
				addList(l, fname);
			end
		end
	end
	sortList(l, 1, 1);
	print("Console-Focused Functions (" .. countList(l) .. "):");
	printList(l);
	freeList(l);
	print("");
end