function getProcessName(pid)
	local p = runProgram("tasklist", "/fi \"pid eq " .. pid .. "\" /FO list");
	while(isProgram(p) == 1) do
		if (availableProgramOutput(p) > 0) then
			local output = reduceSpaces(ltrim(programOutput(p)));
			output = trim(output);
			if(strTok(output, ":", 1) == "Image Name") then
				local name = strTok(output, ":", 2)
				name = trim(name);
				return name;
			end
		end
	end
	return "<Unknown>";
end

function GetProcessName(pid)
	print("Process Name: " .. getProcessName(pid));
end